@echo off

:: Check if 'upstream' remote exists
git remote | findstr upstream >nul
if errorlevel 1 (
    :: Add upstream remote
    git remote add upstream https://github.com/Vendicated/Vencord.git
    echo Added upstream remote
)

:: Disable push to upstream by setting push URL to 'no_push'
git remote set-url --push upstream no_push
echo Disabled push to upstream remote

:: Add alias for sync: fetch, merge, and push to origin
git config alias.sync "!git fetch upstream && git merge upstream/main && git push origin main"
echo Configured sync alias

echo Setup completed!

